commit:     8e4702f608644aa6cc0baf1d83552e3c19ec24c4
Author:     Holger Hoffstätte <holger <AT> applied-asynchrony <DOT> com>
AuthorDate: Wed Feb 11 22:03:03 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Feb 11 23:37:23 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8e4702f6

dev-libs/blazesym_c: add 0.1.7

Closes: https://bugs.gentoo.org/969920
Signed-off-by: Holger Hoffstätte <holger <AT> applied-asynchrony.com>
Part-of: https://github.com/gentoo/gentoo/pull/45770
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/blazesym_c/Manifest                |  2 +
 dev-libs/blazesym_c/blazesym_c-0.1.7.ebuild | 75 +++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/dev-libs/blazesym_c/Manifest b/dev-libs/blazesym_c/Manifest
index 5f922517df4a..5d31d892893b 100644
--- a/dev-libs/blazesym_c/Manifest
+++ b/dev-libs/blazesym_c/Manifest
@@ -1,5 +1,7 @@
 DIST blazesym-capi-v0.1.5-crates.tar.xz 27982728 BLAKE2B 
aaf1977d6433f837baf32fcab60c17513741baed8bee679039c234046dc6184f0d2d25d2ba9f6affa72ced487b3cbfc7f0c662d0a7bb88e774ece8e8ca9d7672
 SHA512 
c8afd59c8fcd6cb40097dc8197abe7fcc8b9b25adc0e3d3166589b7aeb92d817d4ac51fda17faf2451f4a295468423dbe43539f8753369f945173c03ac50dd9c
 DIST blazesym-capi-v0.1.6-crates.tar.xz 31253156 BLAKE2B 
0b74f9e680409e9dcfe498d710907626571e51292f4cda568882be199e99628a8fb6f6e7559c1f8bbd0953fcdd78b313b00c1708f444b1de128769078ed826d7
 SHA512 
a442e0c9ccb5ab72ac5a0038a02f58445cfa887b0189a0ac43ebca9cfeaaf9fc58fb80c1c3bbf830f7f1e543b992353396bc3d0e281fbe0dff8d93aa2d423e11
+DIST blazesym-capi-v0.1.7-crates.tar.xz 32043400 BLAKE2B 
af3e7709107c7521089b02928f620203b7b0fb91a208f7d95e863b0625ca4d535e6a55a559d4e6c54613683f7b25e04f8d141d9b4adb1000e6f83ce579182888
 SHA512 
43ed09299888272a37844a395a8ff9d3613abb2775b0587c0a0c0c171e5d88441549e93d0c1fef2e08e916e3beb1fecd49b55b54da271285d3c2cf9fe7f461ea
 DIST blazesym_c-0.1.5.tar.gz 607748 BLAKE2B 
d5694b70f02ef7a1c74fe1e5af34ec731b64f8ec504a5f60bc2372a2c7328183c7c8e80c803c243c93cad7a5fdfa1b58af34720e8d891f5b350f1e0fd49221de
 SHA512 
26f70e25854eebf1de3947be5f1f4e03ca1670f4d9476151bf6923db830aec932c181f2328a30c10de68025e8c394c24e25ac4125acb6aa0694a70126b50ad33
 DIST blazesym_c-0.1.6.tar.gz 620342 BLAKE2B 
387b558098d6862a84f7468c1f0767cc989179dff5a5c9adc9c05b273c73be095540cc676831316d90e0d8da8d809357a81bcbb9085bf65234c5cf927fb476d5
 SHA512 
0de3db5efdc53aebe80504a36a1910a4db796673ef8c07a06ae1880ed16938aa81339dda1396b644879ef35e66bf86e0ab11a74fa9fa9603a1b59317024b24c0
+DIST blazesym_c-0.1.7.tar.gz 624367 BLAKE2B 
d0287ac5e204630da53a4f1c61d93e0827bf65d7a003a7fafe7e1e359384668f513d38d5e7c58e97f10aeef40a2875e8a32f2cbdc3fe3aba4a715d43806752ce
 SHA512 
db940f32fb4bef5881a74b0b8d0be5b6575eda82e78abbd0e20bf4e7ded1a585e2d782d5053560e15c8391bcccb657808360ee5774c18eaa59ed5a1bfed95d4b
 DIST vmlinux.h-a9c092aa771310bf8b00b5018f7d40a1fdb6ec82.gh.tar.gz 3327904 
BLAKE2B 
4798b43e1b9213fe45b284fe3e4cf86a5df77eddcb4a699dada630c07eddd9365c62ebf09c6ef85d2b304b6dbcbfb3013f7479b32b72fdf836223d36458e9750
 SHA512 
02f957c3642b22d801c5eac5f9fc70f1606fc045b14fb1b7ffedbd3a3171c53728f664a33d88a90e2a7d15a9fe1c0559a48b52fcbea2e699199e9bc35943fa81

diff --git a/dev-libs/blazesym_c/blazesym_c-0.1.7.ebuild 
b/dev-libs/blazesym_c/blazesym_c-0.1.7.ebuild
new file mode 100644
index 000000000000..4e929cd423d4
--- /dev/null
+++ b/dev-libs/blazesym_c/blazesym_c-0.1.7.ebuild
@@ -0,0 +1,75 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Autogenerated by pycargoebuild 0.14.0
+
+EAPI=8
+
+CRATES="
+"
+
+RUST_MIN_VER="1.87.0"
+
+declare -A GIT_CRATES=(
+       
[vmlinux]='https://github.com/libbpf/vmlinux.h;a9c092aa771310bf8b00b5018f7d40a1fdb6ec82;vmlinux.h-%commit%'
+)
+
+inherit cargo edo rust-toolchain
+
+DESCRIPTION="C bindings for blazesym, a library for address symbolization and 
related tasks"
+HOMEPAGE="https://github.com/libbpf/blazesym";
+SRC_URI="
+       https://github.com/libbpf/blazesym/archive/refs/tags/capi-v${PV}.tar.gz 
-> ${P}.tar.gz
+       
https://github.com/gentoo-crate-dist/blazesym/releases/download/capi-v${PV}/blazesym-capi-v${PV}-crates.tar.xz
+       ${CARGO_CRATE_URIS}
+"
+
+# build in the capi subdirectory since cargo has no -C option:
+# https://github.com/rust-lang/cargo/issues/10098
+S="${WORKDIR}/blazesym-capi-v${PV}/capi"
+
+LICENSE="BSD"
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD Boost-1.0
+       CDLA-Permissive-2.0 ISC MIT MPL-2.0 Unicode-3.0 ZLIB
+"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+# Currently suffers from (at least):
+# - problems with crate tarball
+# - hardcoded/hand-rolled multilib assumptions
+# - possibly sandbox
+RESTRICT="test"
+
+BDEPEND="
+       dev-util/cargo-c
+"
+
+QA_FLAGS_IGNORED="usr/lib64/libblazesym_c.so.${PV}"
+
+src_configure() {
+       CARGO_ARGS=(
+               --library-type=cdylib
+               --prefix="${EPREFIX}"/usr
+               --libdir="${EPREFIX}/usr/$(get_libdir)"
+               --target="$(rust_abi)"
+               $(usev !debug '--release')
+       )
+
+       cargo_src_configure
+}
+
+src_compile() {
+       edo cargo cbuild "${CARGO_ARGS[@]}" || die
+}
+
+src_install() {
+       CARGO_ARGS+=(
+               --destdir="${ED}"
+       )
+
+       edo cargo cinstall "${CARGO_ARGS[@]}" || die
+}

Reply via email to